"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ListExtensionsCommand = void 0;
const _ = require("lodash");
const helpers = require("../../common/helpers");
const yok_1 = require("../../common/yok");
class ListExtensionsCommand {
    constructor($extensibilityService, $logger) {
        this.$extensibilityService = $extensibilityService;
        this.$logger = $logger;
        this.allowedParameters = [];
    }
    async execute(args) {
        const installedExtensions = this.$extensibilityService.getInstalledExtensions();
        if (_.keys(installedExtensions).length) {
            this.$logger.info("Installed extensions:");
            const data = _.map(installedExtensions, (version, name) => {
                return [name, version];
            });
            const table = helpers.createTable(["Name", "Version"], data);
            this.$logger.info(table.toString());
        }
        else {
            this.$logger.info("No extensions installed.");
        }
    }
}
exports.ListExtensionsCommand = ListExtensionsCommand;
yok_1.injector.registerCommand("extension|*list", ListExtensionsCommand);
//# sourceMappingURL=list-extensions.js.map