"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.UninstallApplicationCommand = void 0;
const yok_1 = require("../../yok");
class UninstallApplicationCommand {
    constructor($devicesService, $stringParameter, $options) {
        this.$devicesService = $devicesService;
        this.$stringParameter = $stringParameter;
        this.$options = $options;
        this.allowedParameters = [this.$stringParameter];
    }
    async execute(args) {
        await this.$devicesService.initialize({
            deviceId: this.$options.device,
            skipInferPlatform: true,
        });
        const action = (device) => device.applicationManager.uninstallApplication(args[0]);
        await this.$devicesService.execute(action);
    }
}
exports.UninstallApplicationCommand = UninstallApplicationCommand;
yok_1.injector.registerCommand(["device|uninstall", "devices|uninstall"], UninstallApplicationCommand);
//# sourceMappingURL=uninstall-application.js.map