"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PackageManagerGetCommand = void 0;
const yok_1 = require("../yok");
class PackageManagerGetCommand {
    constructor($errors, $logger, $userSettingsService) {
        this.$errors = $errors;
        this.$logger = $logger;
        this.$userSettingsService = $userSettingsService;
        this.allowedParameters = [];
    }
    async execute(args) {
        if (args && args.length) {
            this.$errors.failWithHelp(`The arguments '${args.join(" ")}' are not valid for the 'package-manager get' command.`);
        }
        const result = await this.$userSettingsService.getSettingValue("packageManager");
        this.$logger.printMarkdown(`Your current package manager is \`${result || "npm"}\`.`);
    }
}
exports.PackageManagerGetCommand = PackageManagerGetCommand;
yok_1.injector.registerCommand("package-manager|*get", PackageManagerGetCommand);
//# sourceMappingURL=package-manager-get.js.map