"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ProxyCommandBase = void 0;
class ProxyCommandBase {
    constructor($analyticsService, $logger, $proxyService, commandName) {
        this.$analyticsService = $analyticsService;
        this.$logger = $logger;
        this.$proxyService = $proxyService;
        this.commandName = commandName;
        this.disableAnalytics = true;
        this.allowedParameters = [];
    }
    async tryTrackUsage() {
        try {
            // TODO(Analytics): Check why we have set the `disableAnalytics` to true and we track the command as separate one
            // instead of tracking it through the commandsService.
            this.$logger.trace(this.commandName);
            // await this.$analyticsService.trackFeature(this.commandName);
        }
        catch (ex) {
            this.$logger.trace("Error in trying to track proxy command usage:");
            this.$logger.trace(ex);
        }
    }
}
exports.ProxyCommandBase = ProxyCommandBase;
//# sourceMappingURL=proxy-base.js.map