"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ProxyGetCommand = void 0;
const proxy_base_1 = require("./proxy-base");
const yok_1 = require("../../yok");
const proxyGetCommandName = "proxy|*get";
class ProxyGetCommand extends proxy_base_1.ProxyCommandBase {
    constructor($analyticsService, $logger, $proxyService) {
        super($analyticsService, $logger, $proxyService, proxyGetCommandName);
        this.$analyticsService = $analyticsService;
        this.$logger = $logger;
        this.$proxyService = $proxyService;
    }
    async execute(args) {
        this.$logger.info(await this.$proxyService.getInfo());
        await this.tryTrackUsage();
    }
}
exports.ProxyGetCommand = ProxyGetCommand;
yok_1.injector.registerCommand(proxyGetCommandName, ProxyGetCommand);
//# sourceMappingURL=proxy-get.js.map