"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.XcodeSelectService = void 0;
const path = require("path");
const decorators_1 = require("../decorators");
const yok_1 = require("../yok");
class XcodeSelectService {
    constructor($childProcess, $errors, $hostInfo, $injector) {
        this.$childProcess = $childProcess;
        this.$errors = $errors;
        this.$hostInfo = $hostInfo;
        this.$injector = $injector;
    }
    async getDeveloperDirectoryPath() {
        if (!this.$hostInfo.isDarwin) {
            this.$errors.fail("xcode-select is only available on Mac OS X.");
        }
        const childProcess = await this.$childProcess.spawnFromEvent("xcode-select", ["-print-path"], "close", {}, { throwError: false }), result = childProcess.stdout.trim();
        if (!result) {
            this.$errors.fail("Cannot find path to Xcode.app - make sure you've installed Xcode correctly.");
        }
        return result;
    }
    async getContentsDirectoryPath() {
        return path.join(await this.getDeveloperDirectoryPath(), "..");
    }
    async getXcodeVersion() {
        const sysInfo = this.$injector.resolve("sysInfo");
        const xcodeVer = await sysInfo.getXcodeVersion();
        if (!xcodeVer) {
            this.$errors.fail("xcodebuild execution failed. Make sure that you have latest Xcode and tools installed.");
        }
        const [major, minor, patch] = xcodeVer.split(".");
        return { major, minor, patch };
    }
}
exports.XcodeSelectService = XcodeSelectService;
__decorate([
    (0, decorators_1.cache)()
], XcodeSelectService.prototype, "getXcodeVersion", null);
yok_1.injector.register("xcodeSelectService", XcodeSelectService);
//# sourceMappingURL=xcode-select-service.js.map