"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.AnalyticsBroker = void 0;
const decorators_1 = require("../../common/decorators");
class AnalyticsBroker {
    async getGoogleAnalyticsProvider() {
        const clientId = await this.$analyticsSettingsService.getClientId();
        return this.$injector.resolve("googleAnalyticsProvider", {
            clientId,
            analyticsLoggingService: this.analyticsLoggingService,
        });
    }
    constructor($analyticsSettingsService, $injector, analyticsLoggingService) {
        this.$analyticsSettingsService = $analyticsSettingsService;
        this.$injector = $injector;
        this.analyticsLoggingService = analyticsLoggingService;
    }
    async sendDataForTracking(trackInfo) {
        try {
            const googleProvider = await this.getGoogleAnalyticsProvider();
            await googleProvider.trackHit(trackInfo);
        }
        catch (err) {
            this.analyticsLoggingService.logData({
                message: `AnalyticsBroker unable to execute action in sendDataForTracking: ${err}`,
                type: "Error" /* FileLogMessageType.Error */,
            });
        }
    }
}
exports.AnalyticsBroker = AnalyticsBroker;
__decorate([
    (0, decorators_1.cache)()
], AnalyticsBroker.prototype, "getGoogleAnalyticsProvider", null);
//# sourceMappingURL=analytics-broker.js.map